/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Pierre Garcia
 * Contributor(s): 
 */

package org.objectweb.dream.protocol.channel;

import java.net.InetAddress;
import java.net.UnknownHostException;

import org.objectweb.fractal.api.control.AttributeController;

/**
 * AttributeController interface generated with fraclet. Only
 * {@link #setHostName(String)} is modified because it throws
 * 
 * @author pgarcia
 */
public interface TCPIPProtocolImplAttributeController
    extends
      AttributeController
{
  /**
   * This method has been automatically injected by Spoon
   * 
   * @return the reference of the field
   */
  public boolean getTcpNoDelay();

  /**
   * This method has been automatically injected by Spoon
   * 
   * @return the reference of the field
   */
  public int getConnectionRetry();

  /**
   * This method has been automatically injected by Spoon
   * 
   * @return the reference of the field
   */
  public int getPort();

  /**
   * This method has been automatically injected by Spoon
   * 
   * @return the reference of the field
   */
  public int getSoLinger();

  /**
   * This method has been automatically injected by Spoon
   * 
   * @return the reference of the field
   */
  public int getSoTimeout();

  /**
   * This method has been automatically injected by Spoon
   * 
   * @return the reference of the field
   */
  public String getHostName();

  /**
   * This method has been automatically injected by Spoon
   * 
   * @param value the value to set to the field
   */
  public void setConnectionRetry(int value);


  /**
   * Set the host name for the protocol.
   * 
   * @param hostname the name of the host. if "localhost", the value is set by
   *            calling {@link InetAddress#getLocalHost()}
   * @throws UnknownHostException 
   */
  public void setHostName(String value) throws UnknownHostException;

  /**
   * This method has been automatically injected by Spoon
   * 
   * @param value the value to set to the field
   */
  public void setPort(int value);

  /**
   * This method has been automatically injected by Spoon
   * 
   * @param value the value to set to the field
   */
  public void setSoLinger(int value);

  /**
   * This method has been automatically injected by Spoon
   * 
   * @param value the value to set to the field
   */
  public void setSoTimeout(int value);

  /**
   * This method has been automatically injected by Spoon
   * 
   * @param value the value to set to the field
   */
  public void setTcpNoDelay(boolean value);
}
