/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): 
 */

package org.objectweb.dream.queue.buffer;

import org.objectweb.dream.PushException;

/**
 * Exception thrown by queues when the maximum capacity of the queue is raised
 * and the policy is to throw an exception.
 */
public class BufferOverflowException extends PushException
{

  private static final long serialVersionUID = 3256443594800903473L;

  /**
   * @see PushException#PushException()
   */
  public BufferOverflowException()
  {
    super();
  }

  /**
   * @see PushException#PushException(java.lang.String)
   */
  public BufferOverflowException(String message)
  {
    super(message);
  }

  /**
   * @see PushException#PushException(java.lang.String, java.lang.Throwable)
   */
  public BufferOverflowException(String message, Throwable cause)
  {
    super(message, cause);
  }

  /**
   * @see PushException#PushException(java.lang.Throwable)
   */
  public BufferOverflowException(Throwable cause)
  {
    super(cause);
  }
}